Debian Bug report logs - #517790
RFP: mydns -- DNS server using MySQL or PostgreSQL for data storage

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvain Rochet <gradator@gradator.net>

Date: Mon, 2 Mar 2009 02:21:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gradator@gradator.net, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
New Bug report received and forwarded. Copy sent to gradator@gradator.net, debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 02 Mar 2009 02:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 02 Mar 2009 03:19:18 +0100
Package: wnpp
Severity: wishlist
Owner: Sylvain Rochet <gradator@gradator.net>


* Package name    : mydns
  Version         : 1.2.8.26
  Upstream Author : Howard Wilkinsin <howard@cohtech.com>
* URL             : http://mydns.pl/
* License         : GPLv2
  Programming Lang: C
  Description     : DNS server using MySQL or PostgreSQL for data storage

Free DNS server for UNIX implemented from scratch and designed to
utilise the MySQL or PostgreSQL database for data storage.
..
Its primary objectives are stability, security, interoperability, and
speed, though not necessarily in that order.
..
MyDNS does not include recursive name service, nor a resolver library.
..
It is primarily designed for organisations with many zones and/or
resource records who desire the ability to perform real-time dynamic
updates on their DNS data via MySQL or PostgreSQL.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Mon, 02 Mar 2009 08:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 517790@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Sylvain Rochet <gradator@gradator.net>, 517790@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 02 Mar 2009 02:02:08 -0600
[Message part 1 (text/plain, inline)]
On Mon, 2009-03-02 at 03:19 +0100, Sylvain Rochet wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Sylvain Rochet <gradator@gradator.net>
> 
> 
> * Package name    : mydns
>   Version         : 1.2.8.26
>   Upstream Author : Howard Wilkinsin <howard@cohtech.com>
> * URL             : http://mydns.pl/
> * License         : GPLv2
>   Programming Lang: C
>   Description     : DNS server using MySQL or PostgreSQL for data storage
> 
> Free DNS server for UNIX implemented from scratch and designed to
> utilise the MySQL or PostgreSQL database for data storage.
> ..
> Its primary objectives are stability, security, interoperability, and
> speed, though not necessarily in that order.
> ..
> MyDNS does not include recursive name service, nor a resolver library.
> ..
> It is primarily designed for organisations with many zones and/or
> resource records who desire the ability to perform real-time dynamic
> updates on their DNS data via MySQL or PostgreSQL.

What does this have over PowerDNS?

William
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 15:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 02 Mar 2009 15:57:39 GMT) Full text and rfc822 format available.

Message #15 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: William Pitcock <nenolod@sacredspiral.co.uk>
Cc: 517790@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 2 Mar 2009 16:42:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
> 
> What does this have over PowerDNS?

Probably nothing, else that I am using it and packaging it for my own 
and thought that it would be a good idea to contribute to Debian, is 
redundancy a problem ?

Sylvain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Mon, 02 Mar 2009 18:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 517790@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Sylvain Rochet <gradator@gradator.net>, 517790@bugs.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 2 Mar 2009 19:20:33 +0100
In gmane.linux.debian.devel.general, you wrote:
>
> --9jxsPFA5p3P2qPhR
> Content-Type: text/plain; charset=iso-8859-15
> Content-Disposition: inline
> Content-Transfer-Encoding: quoted-printable
>
> Hi,
>
> On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
>>=20
>> What does this have over PowerDNS?
>
> Probably nothing, else that I am using it and packaging it for my own=20
> and thought that it would be a good idea to contribute to Debian, is=20
> redundancy a problem ?

In this case it actually is.

Writing a proper DNS server is difficult and we already have too
many to support.

Cheers,
        Moritz





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Mon, 02 Mar 2009 21:12:05 GMT) Full text and rfc822 format available.

Message #25 received at 517790@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Sylvain Rochet <gradator@gradator.net>
Cc: William Pitcock <nenolod@sacredspiral.co.uk>, 517790@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 2 Mar 2009 21:10:21 +0000
On Mon, Mar 02, 2009 at 04:42:19PM +0100, Sylvain Rochet wrote:
> Hi,
> 
> On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
> > 
> > What does this have over PowerDNS?
> 
> Probably nothing, else that I am using it and packaging it for my own 
> and thought that it would be a good idea to contribute to Debian, is 
> redundancy a problem ?

Even if you're a perfectly responsible maintainer, a new package still
requires some work by ftpmaster, the release team, possibly the security team,
and so on.  It also increases the number of options a user has to choose
between.  If the package is redundant, this is a waste of their time.

Ben.

-- 
Ben Hutchings
Logic doesn't apply to the real world. - Marvin Minsky




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Mon, 02 Mar 2009 22:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Mon, 02 Mar 2009 22:00:13 GMT) Full text and rfc822 format available.

Message #30 received at 517790@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Sylvain Rochet <gradator@gradator.net>, William Pitcock <nenolod@sacredspiral.co.uk>, 517790@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Mon, 2 Mar 2009 22:59:32 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 02, 2009 at 09:10:21PM +0000, Ben Hutchings wrote:

> > On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
> > > 
> > > What does this have over PowerDNS?
> > 
> > Probably nothing, else that I am using it and packaging it for my own 
> > and thought that it would be a good idea to contribute to Debian, is 
> > redundancy a problem ?
> 
> Even if you're a perfectly responsible maintainer, a new package still
> requires some work by ftpmaster, the release team, possibly the security team,
> and so on.  It also increases the number of options a user has to choose
> between.  If the package is redundant, this is a waste of their time.

If it is really redundant then it is also a waste of upstream's time. William,
since you're trying to package it, could you compare it in detail to PowerDNS,
and if there is really little difference, try to see if both upstreams can work
together and merge their efforts? That would help everyone in the end.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Tue, 03 Mar 2009 17:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Tue, 03 Mar 2009 17:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 517790@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Sylvain Rochet <gradator@gradator.net>
Cc: 517790@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Tue, 03 Mar 2009 11:01:01 -0600
[Message part 1 (text/plain, inline)]
On Mon, 2009-03-02 at 16:42 +0100, Sylvain Rochet wrote:
> Hi,
> 
> On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
> > 
> > What does this have over PowerDNS?
> 
> Probably nothing, else that I am using it and packaging it for my own 
> and thought that it would be a good idea to contribute to Debian, is 
> redundancy a problem ?

No, I was just wondering if it had anything over PowerDNS because
PowerDNS has some design concepts that I do not necessarily agree with.

Specifically, the behaviour of PowerDNS's listen-address and listen-ipv6
being separate seems like an unpleasant design that I have found
annoying. listen-address and listen-ipv6 break in unpleasant ways if one
is global scope, and the other is not -- this results in the server
failing to start. I should probably file a bug on that, but I am not
sure if it is a bug or an intentional thing yet.

William

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Wed, 04 Mar 2009 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Wed, 04 Mar 2009 04:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 517790@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: Guus Sliepen <guus@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, Sylvain Rochet <gradator@gradator.net>, 517790@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#517790: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Tue, 03 Mar 2009 22:36:54 -0600
[Message part 1 (text/plain, inline)]
On Mon, 2009-03-02 at 22:59 +0100, Guus Sliepen wrote:
> On Mon, Mar 02, 2009 at 09:10:21PM +0000, Ben Hutchings wrote:
> 
> > > On Mon, Mar 02, 2009 at 02:02:08AM -0600, William Pitcock wrote:
> > > > 
> > > > What does this have over PowerDNS?
> > > 
> > > Probably nothing, else that I am using it and packaging it for my own 
> > > and thought that it would be a good idea to contribute to Debian, is 
> > > redundancy a problem ?
> > 
> > Even if you're a perfectly responsible maintainer, a new package still
> > requires some work by ftpmaster, the release team, possibly the security team,
> > and so on.  It also increases the number of options a user has to choose
> > between.  If the package is redundant, this is a waste of their time.
> 
> If it is really redundant then it is also a waste of upstream's time. William,
> since you're trying to package it, could you compare it in detail to PowerDNS,
> and if there is really little difference, try to see if both upstreams can work
> together and merge their efforts? That would help everyone in the end.
> 

It's not me who is trying to package it, but Sylvain Rochet.

William
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Sat, 15 Aug 2009 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sylvain Rochet <gradator@gradator.net>. (Sat, 15 Aug 2009 01:12:04 GMT) Full text and rfc822 format available.

Message #45 received at 517790@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 517790@bugs.debian.org
Subject: Re: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Sat, 15 Aug 2009 02:09:03 +0100 (BST)
It looks like this package would be based on MyDNS-ng, rather than
MyDNS.  That is a good thing.

Would it be based on the old packaging removed after
http://bugs.debian.org/382656 ?

I have an only-updated git tree of that which builds 1.2.8.27
with lots of lintian warnings that should be fixed before upload.
I will clone it to collab-maint if you would like it.

Thanks,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#517790; Package wnpp. (Tue, 25 Aug 2009 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 25 Aug 2009 18:42:06 GMT) Full text and rfc822 format available.

Message #50 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: MJ Ray <mjr@phonecoop.coop>, 517790@bugs.debian.org
Subject: Re: Bug#517790: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Tue, 25 Aug 2009 20:17:17 +0200
[Message part 1 (text/plain, inline)]
Hi,


On Sat, Aug 15, 2009 at 02:09:03AM +0100, MJ Ray wrote:
> It looks like this package would be based on MyDNS-ng, rather than
> MyDNS.  That is a good thing.

Yup.


> Would it be based on the old packaging removed after
> http://bugs.debian.org/382656 ?

Yep.


> I have an only-updated git tree of that which builds 1.2.8.27
> with lots of lintian warnings that should be fixed before upload.
> I will clone it to collab-maint if you would like it.

Here is what I did for now:  http://edony.tuxfamily.org/~grad/mydns/


Sylvain 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Thu, 29 Jul 2010 23:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Thu, 29 Jul 2010 23:30:09 GMT) Full text and rfc822 format available.

Message #55 received at 517790@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: 517790@bugs.debian.org
Cc: Sylvain Rochet <gradator@gradator.net>, MJ Ray <mjr@phonecoop.coop>, Guus Sliepen <guus@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Fri, 30 Jul 2010 01:21:37 +0200
Hi guys,

Any news from this?
Almost a year without any move...

It would somewhat ease my ISPconfig installation if MyDNS was already
packaged for Debian.

Regards




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517790; Package wnpp. (Fri, 30 Jul 2010 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 30 Jul 2010 00:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: Jerome Warnier <jwarnier@beeznest.net>
Cc: 517790@bugs.debian.org, MJ Ray <mjr@phonecoop.coop>, Guus Sliepen <guus@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Fri, 30 Jul 2010 01:26:01 +0200
[Message part 1 (text/plain, inline)]
Hi Jerome,

On Fri, Jul 30, 2010 at 01:21:37AM +0200, Jerome Warnier wrote:
> Hi guys,
> 
> Any news from this?
> Almost a year without any move...
> 
> It would somewhat ease my ISPconfig installation if MyDNS was already
> packaged for Debian.

You can fetch the package source here: 
  http://edony.tuxfamily.org/~grad/mydns/

This is used in production for almost a year without issue, hope it 
helps ;)

Regards,
Sylvain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Fri, 30 Jul 2010 12:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Fri, 30 Jul 2010 12:06:07 GMT) Full text and rfc822 format available.

Message #65 received at 517790@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: Sylvain Rochet <gradator@gradator.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Fri, 30 Jul 2010 13:55:10 +0200
On 30/07/10 01:26, Sylvain Rochet wrote:
> Hi Jerome,
> 
> On Fri, Jul 30, 2010 at 01:21:37AM +0200, Jerome Warnier wrote:
>> Hi guys,
>>
>> Any news from this?
>> Almost a year without any move...
>>
>> It would somewhat ease my ISPconfig installation if MyDNS was already
>> packaged for Debian.
> 
> You can fetch the package source here: 
>   http://edony.tuxfamily.org/~grad/mydns/
> 
> This is used in production for almost a year without issue, hope it 
> helps ;)

I have several suggestions (and later patches, I hope) to submit.
Am I welcome to do this or should I just maintain my version?

Suggestions:
- use the same init script for -mysql and -pgsql, as there is not real
difference between them except -pgsql requires a configuration file to
be present, otherwise it just doesn't start. Support an
/etc/default/mydns file to this end instead. I will submit a patch.
- many references to the old MyDNS exist in the package. I already
cleaned that all, will send the updates soon. Take it or leave it (but
I'd rather hear you took it).

> Regards,
> Sylvain




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Thu, 05 Aug 2010 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Thu, 05 Aug 2010 18:09:06 GMT) Full text and rfc822 format available.

Message #70 received at 517790@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: Sylvain Rochet <gradator@gradator.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Thu, 05 Aug 2010 20:07:56 +0200
On Fri, 2010-07-30 at 13:55 +0200, Jerome Warnier wrote:
> On 30/07/10 01:26, Sylvain Rochet wrote:
> > Hi Jerome,
> > 
> > On Fri, Jul 30, 2010 at 01:21:37AM +0200, Jerome Warnier wrote:
> >> Hi guys,
> >>
> >> Any news from this?
> >> Almost a year without any move...
> >>
> >> It would somewhat ease my ISPconfig installation if MyDNS was already
> >> packaged for Debian.
> > 
> > You can fetch the package source here: 
> >   http://edony.tuxfamily.org/~grad/mydns/
> > 
> > This is used in production for almost a year without issue, hope it 
> > helps ;)
> 
> I have several suggestions (and later patches, I hope) to submit.
> Am I welcome to do this or should I just maintain my version?
> 
> Suggestions:
> - use the same init script for -mysql and -pgsql, as there is not real
> difference between them except -pgsql requires a configuration file to
> be present, otherwise it just doesn't start. Support an
> /etc/default/mydns file to this end instead. I will submit a patch.

I did not (yet) use the same initscript for both, but they are almost
identical now.
I implemented an /etc/default/mydns.

> - many references to the old MyDNS exist in the package. I already
> cleaned that all, will send the updates soon. Take it or leave it (but
> I'd rather hear you took it).
I cleaned this (debian/copyright, debian/watch, etc...).

All of this in a -2 version here: http://apt.bxlug.be/sources/

Hope it helps

> > Regards,
> > Sylvain





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517790; Package wnpp. (Wed, 24 Nov 2010 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 24 Nov 2010 01:45:03 GMT) Full text and rfc822 format available.

Message #75 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: Jerome Warnier <jwarnier@beeznest.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Wed, 24 Nov 2010 01:15:00 +0100
[Message part 1 (text/plain, inline)]
Hi Jerome,

On Thu, Aug 05, 2010 at 08:07:56PM +0200, Jerome Warnier wrote:
> On Fri, 2010-07-30 at 13:55 +0200, Jerome Warnier wrote:
> > 
> > I have several suggestions (and later patches, I hope) to submit.
> > Am I welcome to do this or should I just maintain my version?
> > 
> > Suggestions:
> > - use the same init script for -mysql and -pgsql, as there is not real
> > difference between them except -pgsql requires a configuration file to
> > be present, otherwise it just doesn't start. Support an
> > /etc/default/mydns file to this end instead. I will submit a patch.
> 
> I did not (yet) use the same initscript for both, but they are almost
> identical now.
> I implemented an /etc/default/mydns.
> 
> > - many references to the old MyDNS exist in the package. I already
> > cleaned that all, will send the updates soon. Take it or leave it (but
> > I'd rather hear you took it).
> 
> I cleaned this (debian/copyright, debian/watch, etc...).
> 
> All of this in a -2 version here: http://apt.bxlug.be/sources/
> 
> Hope it helps

I was a bit silent about that but of course it helps, thank for all 
this work ;-)

By the way, I added a patch that fixes a segfault while using IPv6 UDP 
queries, hence releasing a -3 version:

http://edony.tuxfamily.org/~grad/mydns/

Patch added to upstream[1] but no answer yet. Waiting for 1.2.8.28 to 
remove the patch ;)

Sylvain



[1] http://bugs.mydns-ng.com/view.php?id=62
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Sun, 28 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Sun, 28 Nov 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #80 received at 517790@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: Sylvain Rochet <gradator@gradator.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Sun, 28 Nov 2010 21:13:09 +0100
On Wed, 24 Nov 2010 01:15:00 +0100, Sylvain Rochet <gradator@gradator.net>
wrote:
> Hi Jerome,
> 
> On Thu, Aug 05, 2010 at 08:07:56PM +0200, Jerome Warnier wrote:
>> On Fri, 2010-07-30 at 13:55 +0200, Jerome Warnier wrote:
>> > 
>> > I have several suggestions (and later patches, I hope) to submit.
>> > Am I welcome to do this or should I just maintain my version?
>> > 
>> > Suggestions:
>> > - use the same init script for -mysql and -pgsql, as there is not
real
>> > difference between them except -pgsql requires a configuration file
to
>> > be present, otherwise it just doesn't start. Support an
>> > /etc/default/mydns file to this end instead. I will submit a patch.
>> 
>> I did not (yet) use the same initscript for both, but they are almost
>> identical now.
>> I implemented an /etc/default/mydns.
>> 
>> > - many references to the old MyDNS exist in the package. I already
>> > cleaned that all, will send the updates soon. Take it or leave it
(but
>> > I'd rather hear you took it).
>> 
>> I cleaned this (debian/copyright, debian/watch, etc...).
>> 
>> All of this in a -2 version here: http://apt.bxlug.be/sources/
>> 
>> Hope it helps
> 
> I was a bit silent about that but of course it helps, thank for all 
> this work ;-)
 
> By the way, I added a patch that fixes a segfault while using IPv6 UDP 
> queries, hence releasing a -3 version:

So, I guess you did take my changes into account?

I'm considering going to PowerDNS when actually in production though, so
might no longer be interested in these packages.
On the other side, I still plan to run it on Nexenta
(http://www.nexenta.org), but so far it (as does upstream) fails building
there.

> http://edony.tuxfamily.org/~grad/mydns/
> 
> Patch added to upstream[1] but no answer yet. Waiting for 1.2.8.28 to 
> remove the patch ;)
> 
> Sylvain
> 
> 
> 
> [1] http://bugs.mydns-ng.com/view.php?id=62






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517790; Package wnpp. (Tue, 30 Nov 2010 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Nov 2010 17:06:03 GMT) Full text and rfc822 format available.

Message #85 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: Jerome Warnier <jwarnier@beeznest.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Tue, 30 Nov 2010 18:02:48 +0100
[Message part 1 (text/plain, inline)]
Hi Jerome,


On Sun, Nov 28, 2010 at 09:13:09PM +0100, Jerome Warnier wrote:
> 
> So, I guess you did take my changes into account?

Yep.


> I'm considering going to PowerDNS when actually in production though, 
> so might no longer be interested in these packages. On the other side, 
> I still plan to run it on Nexenta (http://www.nexenta.org), but so far 
> it (as does upstream) fails building there.

;-)


Sylvain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Fri, 28 Jan 2011 15:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérôme Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Fri, 28 Jan 2011 15:33:07 GMT) Full text and rfc822 format available.

Message #90 received at 517790@bugs.debian.org (full text, mbox):

From: Jérôme Warnier <jwarnier@beeznest.net>
To: "Sylvain Rochet" <gradator@gradator.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Fri, 28 Jan 2011 16:22:49 +0100 (CET)
Sylvain Rochet wrote:
> Hi Jerome,
>
>
> On Sun, Nov 28, 2010 at 09:13:09PM +0100, Jerome Warnier wrote:
>>
>> So, I guess you did take my changes into account?
>
> Yep.
>
>
>> I'm considering going to PowerDNS when actually in production though,
>> so might no longer be interested in these packages. On the other side,
>> I still plan to run it on Nexenta (http://www.nexenta.org), but so far
>> it (as does upstream) fails building there.
>
> ;-)
>
>
> Sylvain

Version 1.2.8.31 has been released.
Maybe you missed that?

Hope it helps.
-- 
Jérôme Warnier
BeezNest
http://beeznest.net




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#517790; Package wnpp. (Sun, 30 Jan 2011 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Rochet <gradator@gradator.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 Jan 2011 00:33:03 GMT) Full text and rfc822 format available.

Message #95 received at 517790@bugs.debian.org (full text, mbox):

From: Sylvain Rochet <gradator@gradator.net>
To: Jérôme Warnier <jwarnier@beeznest.net>
Cc: 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Sun, 30 Jan 2011 00:09:38 +0100
[Message part 1 (text/plain, inline)]
Hi Jerome,

On Fri, Jan 28, 2011 at 04:22:49PM +0100, Jérôme Warnier wrote:
> 
> Version 1.2.8.31 has been released.
> Maybe you missed that?

Hehe... strange jump from 27 to 31.

Thank for the notification, package updated.

http://edony.tuxfamily.org/~grad/mydns/

Sylvain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Wed, 02 Feb 2011 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérôme Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Wed, 02 Feb 2011 14:33:03 GMT) Full text and rfc822 format available.

Message #100 received at 517790@bugs.debian.org (full text, mbox):

From: Jérôme Warnier <jwarnier@beeznest.net>
To: "Sylvain Rochet" <gradator@gradator.net>
Cc: Jérôme Warnier <jwarnier@beeznest.net>, 517790@bugs.debian.org
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Wed, 2 Feb 2011 15:25:56 +0100 (CET)
Sylvain Rochet wrote:
> Hi Jerome,
>
> On Fri, Jan 28, 2011 at 04:22:49PM +0100, Jérôme Warnier wrote:
>>
>> Version 1.2.8.31 has been released.
>> Maybe you missed that?
>
> Hehe... strange jump from 27 to 31.
>
> Thank for the notification, package updated.
>
> http://edony.tuxfamily.org/~grad/mydns/

Thanks. I will check if it builds on Nexenta (OpenSolaris) now, just in
case (would be nice, actually).

> Sylvain
-- 
Jérôme Warnier
BeezNest
http://beeznest.net




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Tue, 19 Apr 2011 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@tower.3.bg>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Tue, 19 Apr 2011 12:03:17 GMT) Full text and rfc822 format available.

Message #105 received at 517790@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@tower.3.bg>
To: 517790@bugs.debian.org
Subject: memory
Date: Tue, 19 Apr 2011 14:53:55 +0300
MyDNS seems to use significantly less memory than PowerDNS and this is 
important for light VPS installations. I wanted just to mention a reason 
for someone to choose MyDNS over PowerDNS

Regards,
Ognyan Kuev




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Sun, 11 Sep 2011 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony <tony10@ximera.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Sun, 11 Sep 2011 15:06:03 GMT) Full text and rfc822 format available.

Message #110 received at 517790@bugs.debian.org (full text, mbox):

From: Tony <tony10@ximera.net>
To: 517790@bugs.debian.org
Subject: Progress
Date: Sun, 11 Sep 2011 16:03:45 +0100
Have you any idea when this will move into unstable?

Regards

Tony Middleton




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Wed, 05 Oct 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jwarnier <jwarnier@sharonstone.beeznest.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Wed, 05 Oct 2011 10:45:06 GMT) Full text and rfc822 format available.

Message #115 received at 517790@bugs.debian.org (full text, mbox):

From: jwarnier <jwarnier@sharonstone.beeznest.net>
To: Jérôme Warnier <jwarnier@beeznest.net>
Cc: Sylvain Rochet <gradator@gradator.net>, <517790@bugs.debian.org>
Subject: Re: ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
Date: Wed, 05 Oct 2011 12:07:05 +0200
On Wed, 2 Feb 2011 15:25:56 +0100 (CET), Jérôme Warnier wrote:
> Sylvain Rochet wrote:
>> Hi Jerome,
>>
>> On Fri, Jan 28, 2011 at 04:22:49PM +0100, Jérôme Warnier wrote:
>>>
>>> Version 1.2.8.31 has been released.
>>> Maybe you missed that?
>>
>> Hehe... strange jump from 27 to 31.
>>
>> Thank for the notification, package updated.
>>
>> http://edony.tuxfamily.org/~grad/mydns/
>
> Thanks. I will check if it builds on Nexenta (OpenSolaris) now, just 
> in
> case (would be nice, actually).

I just checked, and it builds there (NCP3) as well, provided you 
applied yet the tiny bug here:
http://mydns-ng.com/mantis/view.php?id=57

>> Sylvain




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>:
Bug#517790; Package wnpp. (Mon, 27 May 2013 13:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sylvain Rochet <gradator@gradator.net>. (Mon, 27 May 2013 13:33:01 GMT) Full text and rfc822 format available.

Message #120 received at 517790@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 517790@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mydns: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:22 +0200
retitle 517790 RFP: mydns -- DNS server using MySQL or PostgreSQL for data storage
noowner 517790
tag 517790 - pending
thanks

Hi,

This is an automatic email to change the status of mydns back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting mydns, please send a mail to
<control@bugs.debian.org> with:

 retitle 517790 ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage
 owner 517790 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <517790@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: mydns -- DNS server using MySQL or PostgreSQL for data storage' from 'ITP: mydns -- DNS server using MySQL or PostgreSQL for data storage' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:59:31 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Sylvain Rochet <gradator@gradator.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:59:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:01:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.